<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <button onclick="quad()">Adicionar Box</button>
    <div id=divs>

    </div>
    <script>
        var body = document.querySelector("#divs")
        function quad(){
            var box = document.createElement("div")
            box.style.width = "100px"
            box.style.height = "100px"
            box.style.backgroundColor = "red"
            box.style.margin = "10px"
            body.appendChild(box)
        }
    </script>
</body>

</html>